form {
    position: relative;
}

form.loading {
    pointer-events: none; /* запрещаем любые клики */
}

form.loading::after {
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(255,255,255,.6);
    z-index: 999;
    cursor: wait;
}

form.loading::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    width: 42px;
    height: 42px;
    margin: -21px 0 0 -21px;
    border: 4px solid #ddd;
    border-top-color: #007bff;
    border-radius: 50%;
    animation: form-loader .8s linear infinite;
    z-index: 1000;
}

@keyframes form-loader {
    to {
        transform: rotate(360deg);
    }
}